import Alert from "@dftvue2-opentiny/vue-alert";
import Button from "@dftvue2-opentiny/vue-button";
import Modal from "@dftvue2-opentiny/vue-modal";
import { iconDel } from "@dftvue2-opentiny/vue-icon";
import FileUpload from "@dftvue2-opentiny/vue-file-upload";
import { renderless, api } from "@dftvue2-opentiny/vue-renderless/pop-upload/vue";
import { defineComponent, props, setup as _setup } from "@dftvue2-opentiny/vue-common";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  components: {
    TinyButton: Button,
    TinyModal: Modal,
    TinyAlert: Alert,
    TinyFileUpload: FileUpload,
    IconDel: iconDel()
  },
  props: [].concat(props, ["data", "uploadName", "httpRequest", "beforeUpload", "beforeRemove", "size", "dialogTitle", "uploadButtonText", "withCredentials", "submitButtonText", "cancelButtonText", "uploadFileType", "maxUploadFileSize", "filters", "accept", "disabled", "multiple", "limit", "headers", "helpIcon", "action", "fileList"]),
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-popupload"
  }, [_c("tiny-button", {
    attrs: {
      "size": _vm.size,
      "disabled": _vm.state.disabled
    },
    on: {
      "click": _vm.showDialog
    }
  }, [_vm._v(_vm._s(_vm.state.uploadButtonText))]), _c("tiny-modal", {
    staticClass: "tiny-popupload__modal",
    attrs: {
      "title": _vm.state.dialogTitle,
      "width": "648"
    },
    on: {
      "close": _vm.closeDialog
    },
    model: {
      value: _vm.state.isShowDialog,
      callback: function callback($$v) {
        _vm.$set(_vm.state, "isShowDialog", $$v);
      },
      expression: "state.isShowDialog"
    }
  }, [_c("div", {
    staticClass: "tiny-popupload__dialog"
  }, [_c("div", {
    staticClass: "tiny-popupload__dialog-header"
  }, [_vm.state.tipsTitle[0] != void 0 || _vm.state.tipsTitle[1] != void 0 || _vm.state.tipsTitle[2] != void 0 ? _c("tiny-alert", {
    attrs: {
      "type": "info",
      "size": "large",
      "title": _vm.state.tipsTitleText
    }
  }, [_c("div", {
    staticClass: "tiny-popupload__dialog-tips"
  }, _vm._l(_vm.state.tipsTitle.filter(function(value) {
    return value != void 0;
  }), function(item, index) {
    return _c("p", {
      key: index
    }, [_vm._v(" " + _vm._s(item.count != void 0 ? _vm.state.limitCountTips + ":" + item.count : "") + " " + _vm._s(item.type != void 0 ? _vm.state.limitTypeTips + ":" + item.type : "") + " " + _vm._s(item.size != void 0 ? _vm.state.limitSizeTips + ":" + item.size : "") + " ")]);
  }), 0)]) : _vm._e(), _vm.state.errorTips.length > 0 ? _c("tiny-alert", {
    attrs: {
      "type": "error",
      "size": "large"
    },
    on: {
      "close": _vm.closeErrorTips
    }
  }, [_c("div", {
    staticClass: "tiny-popupload__dialog-tips"
  }, _vm._l(_vm.state.errorTips, function(item, index) {
    return _c("p", {
      key: index
    }, [_vm._v(" " + _vm._s(item.size != void 0 ? item.size + ":" + _vm.state.errorSizeTips : "") + " " + _vm._s(item.type != void 0 ? item.type + ":" + _vm.state.errorTypeTips : "") + " " + _vm._s(item.num != void 0 ? _vm.state.errorNumTips : "") + " " + _vm._s(item.error != void 0 ? _vm.state.uploadErrorTips : "") + " ")]);
  }), 0)]) : _vm._e(), _vm.state.successTips.length > 0 ? _c("tiny-alert", {
    attrs: {
      "type": "success",
      "size": "large"
    },
    on: {
      "close": _vm.closeSuccessTips
    }
  }, [_c("div", {
    staticClass: "tiny-popupload__dialog-tips"
  }, _vm._l(_vm.state.successTips, function(item, index) {
    return _c("p", {
      key: index
    }, [_vm._v(_vm._s(item) + "," + _vm._s(_vm.state.uploadSuccessTips))]);
  }), 0)]) : _vm._e()], 1), _c("div", {
    staticClass: "tiny-popupload__dialog-body"
  }, [_c("tiny-file-upload", {
    ref: "upload",
    attrs: {
      "data": _vm.data,
      "httpRequest": _vm.httpRequest,
      "name": _vm.uploadName,
      "before-upload": _vm.beforeAvatarUpload,
      "with-credentials": _vm.state.withCredentials,
      "multiple": _vm.state.multiple,
      "accept": _vm.state.accept,
      "filters": _vm.state.filters,
      "limit": _vm.limit,
      "headers": _vm.state.headers,
      "action": _vm.state.action,
      "auto-upload": false
    },
    on: {
      "change": _vm.fileUploadChange,
      "error": _vm.errorEvent,
      "exceed": _vm.handleExceed,
      "progress": _vm.progressEvent,
      "success": _vm.handleAvatarSuccess
    },
    scopedSlots: _vm._u([{
      key: "trigger",
      fn: function fn() {
        return [_c("tiny-button", {
          attrs: {
            "size": "small",
            "type": "primary"
          }
        }, [_vm._v(_vm._s(_vm.state.multiple ? _vm.state.uploadsButtonText : _vm.state.uploadButtonText))])];
      },
      proxy: true
    }])
  }), _c("div", {
    staticClass: "tiny-popupload__dialog-table"
  }, [_c("div", {
    staticClass: "tiny-popupload__dialog-table-header"
  }, [_c("p", {
    staticClass: "header-col col1"
  }, [_vm._v(_vm._s(_vm.state.fileName))]), _c("p", {
    staticClass: "header-col col2"
  }, [_vm._v(_vm._s(_vm.state.fileSize))]), _c("p", {
    staticClass: "header-col col3"
  }, [_vm._v(_vm._s(_vm.state.fileStatus))])]), _c("div", {
    staticClass: "tiny-popupload__dialog-table-body"
  }, [_c("ul", {
    staticClass: "tiny-popupload__dialog-table-list"
  }, _vm._l(_vm.state.uploadList, function(item, index) {
    return _c("li", {
      key: index,
      staticClass: "tiny-popupload__dialog-table-item"
    }, [_c("p", {
      staticClass: "body-col col1"
    }, [_vm._v(_vm._s(item.name))]), _c("p", {
      staticClass: "body-col col2"
    }, [_vm._v(_vm._s(Math.floor(Number(item.size) / 1024)) + "KB")]), _c("p", {
      staticClass: "body-col col3"
    }, [_c("span", [_c("IconDel", {
      staticClass: "delIcon",
      on: {
        "click": function click($event) {
          return _vm.deleteFile(item);
        }
      }
    })], 1)])]);
  }), 0)])])], 1), _c("div", {
    staticClass: "tiny-popupload__dialog-footer"
  }, [_c("tiny-button", {
    attrs: {
      "type": "primary",
      "disabled": _vm.state.uploadList.length == 0
    },
    on: {
      "click": _vm.uploadSubmit
    }
  }, [_vm._v(_vm._s(_vm.state.submitButtonText))]), _c("tiny-button", {
    on: {
      "click": _vm.closeDialog
    }
  }, [_vm._v(_vm._s(_vm.state.cancelButtonText))])], 1)])])], 1);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  pc as default
};
